<template>
    <v-row>
        <v-col v-if="showPrevious" cols="1">
            <router-link :to="{ name: toRoute, params }">
                <v-btn dark fab><font-awesome-icon icon="chevron-left" size="2x" /></v-btn>
            </router-link>
        </v-col>
        <v-spacer></v-spacer>
        <slot name="title"></slot>
        <v-spacer></v-spacer>
        <slot name="extra">
        </slot>
    </v-row>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator'

@Component({
})
export default class Overview extends Vue {
    @Prop({ default: "/", type: String }) toRoute!: string
    @Prop({ default: () => {}, type: Object }) params!: Object
    @Prop({ default: true, type: Boolean }) showPrevious: boolean = true
}
</script>
